package ru.ldeloff.servermonitorbot.init;

import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;
import ru.ldeloff.servermonitorbot.service.SshService;

@Component
public class SshConnect implements ApplicationRunner {
    final SshService sshService;

    public SshConnect(SshService sshService) {
        this.sshService = sshService;
    }

    @Override
    public void run(ApplicationArguments args) throws Exception {
        sshService.connectToAllServer();
    }
}
